Ticket #227 (closed enhancement: fixed)

Opened 5 years ago

Last modified 3 years ago

Stanton ScratchAmp2 has no mixer panel in ffado-mixer ~ output volume defaults to 0, mixer needed to raise it!

Reported by: triune Assigned to:
Priority: major Milestone: FFADO 2.x
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

23:29:21 main: Starting up 23:29:21 dbus: connecting to: Updated on /org/ffado/Control/DeviceManager (server: org.ffado.Control) 23:29:21 panelmanager: PanelManager::updatePanels() 23:29:21 panelmanager: going to add 0012600010000000 23:29:21 panelmanager: Adding device 0: 0012600010000000 23:29:21 panelmanager: Found (0012600010000000, 1260, 1) Stanton ScratchAmp? 23:29:21 registration: version/GUID combo already registered 23:29:21 configparser: DeviceList::getDeviceById( 4704, 1 )

Hardware works successfully, input audio can be recorded. Output volume however, is set to 0 in hardward? Need software to provide a mixer to raise the volume!

FFADO-mixer has no mixer panel for this firewire card. Perhaps it can be implemented easily?

Attachments

stderr.log (215.4 kB) - added by triune on 06/09/09 16:00:13.
-v6 stderr.log
stdout.log (284 bytes) - added by triune on 06/09/09 16:00:38.
-v6 stdout.log
out (119.1 kB) - added by triune on 06/14/09 18:07:00.
ffado-dbus-server_stderr (6.0 kB) - added by triune on 06/19/09 19:44:03.
ffado-dbus-server_stderr
ffado-mixer_stderr (119.1 kB) - added by triune on 06/19/09 19:44:41.
ffado-mixer_stderr

Change History

06/03/09 21:59:59 changed by triune

errors in running tests to get dbus information...any other test(s) to run in place?

06/04/09 12:17:44 changed by ppalmers

what errors?

06/04/09 20:09:29 changed by triune

errors are in the attached stderr.log

06/04/09 20:17:09 changed by triune

well, its debug output I guess, as there is nothign in stdout, I'm assuming that the debug code is because of some other error

06/05/09 07:05:59 changed by triune

the attachments are from the ffado-test as per http://subversion.ffado.org/wiki/ObtainingAvcModel

06/07/09 19:52:32 changed by triune

ok, well if i can't get the AVC tests to work... im a bit stuck as how to proceed. Any suggestions?

06/09/09 11:35:12 changed by ppalmers

Can you try -v6:

tests/test-ffado -v6 Discover 1> stdout.log 2> stderr.log

06/09/09 16:00:13 changed by triune

  • attachment stderr.log added.

-v6 stderr.log

06/09/09 16:00:38 changed by triune

  • attachment stdout.log added.

-v6 stdout.log

06/09/09 16:01:10 changed by triune

Updated logs attached

06/14/09 08:47:20 changed by ppalmers

If you create

~/.ffado/configuration

that has the following contents:

device_definitions = ( 
{
    vendorid = 0x00001260;
    modelid = 0x00000001;
    vendorname = "Stanton DJ";
    modelname = "ScratchAmp2";
    driver = 1;
    mixer = "BCoAudio5Control";

}
);

the bridgeco EVM control panel should pop up when you run ffado-mixer. Can you check whether the controls it presents have any effect on your ScratchAmp?2?

06/14/09 18:06:17 changed by triune

the ffado-mixer performs the same way regardless of whether or not the configuration file is there and loaded with the data you provided.

attached is the output from

$ffado-mixer 2> out

not sure, if it will help.

06/14/09 18:07:00 changed by triune

  • attachment out added.

06/14/09 18:08:13 changed by triune

so, the bridgeco EVM cp is missing, as should have been noted in the last reply

06/17/09 20:11:21 changed by triune

a bit miffed on what to do next... perhaps it should be attempted to attach a control panel for a different mixer? just a guess ;D

06/18/09 00:13:59 changed by ppalmers

you can try and install FFADO svn trunk:

http://subversion.ffado.org/wiki/InstallingFfadoFromSource

It should contain the bridgeco panel

06/18/09 20:17:45 changed by triune

was running jack and ffado from svn before, just followed the instructions provided there to the T and found out that I wasn't starting the dbus server before...

however, even with the ~/.ffado/configuration, I only get the Dummy mixer panel in ffado-mixer, not the bridgeco

06/19/09 12:32:57 changed by ppalmers

can you post the output of ffado-mixer if you run it on the command line?

06/19/09 19:44:03 changed by triune

  • attachment ffado-dbus-server_stderr added.

ffado-dbus-server_stderr

06/19/09 19:44:41 changed by triune

  • attachment ffado-mixer_stderr added.

ffado-mixer_stderr

06/19/09 19:46:06 changed by triune

ffado-dbus-server and ffado-mixer both had no stdout, both had stderr however, so I have attached files for both of those outputs

06/20/09 02:16:49 changed by ppalmers

please update your SVN tree as I've fixed a bug that prevents ffado-mixer from picking up your user config file.

06/23/09 21:52:07 changed by triune

hell yah! finally have audio coming through!

however... the bridgeco mixer is doesn't match up with the in/outs on my card, here's how they match up:

input 1/2 is actually output 1/2 input 3/4 is actually output 3/4 s/pdif is actually output 5/6

output 1/2/3/4 and cross a/b all leave errors in the log messages panel of ffado-mixer.

I'm sure your already aware (or possibly not) that the ScratchAmp?2 has 6 ins and 6 outs, so the mixer panel would need to be updated to reflect this.

Looking good so far mate, feels like were closing in on the home stretch!

06/23/09 21:55:51 changed by triune

Also, not sure what good the output source selector is in ffado-mixer. I don't think the hardware has any routing internally to accompany that option.

07/13/09 19:45:24 changed by triune

Is there any chance the ffado-mixer will be updated to reflect the mis-mappings of channels that I mentioned above? It would be loverly to see this happen ;)

04/07/12 04:35:33 changed by jwoithe

Such support would really have to be added by someone who owns one of these interfaces. Trying to do this remotely isn't usually feasible (although in this case, given that we're talking tweaks to the BridgeCo? mixer, perhaps someone familiar with the Bebob driver and devices could take a stab at it if time allowed).

Since this original issue in this ticket has been rectified (on 20 June 2009 by Pieter Palmers) I suggest this ticket should be closed. The issue of refining the default mixer for this particular card can be raised as a separate ticket if current trunk still suffers the problem.

Any objections?

04/21/12 06:22:41 changed by jwoithe

  • status changed from new to closed.
  • resolution set to fixed.

No further comments have been received in relation to this ticket. Since the original reported issue has been fixed it seems right to close it.